Beefy Boxes and Bandwidth Generously Provided by pair Networks
"be consistent"
 
PerlMonks  

Re: What's your preferred 'use VERSION' for new CPAN modules in 2023?

by Tux (Canon)
on Dec 02, 2023 at 16:03 UTC ( [id://11156037]=note: print w/replies, xml ) Need Help??


in reply to What's your preferred 'use VERSION' for new CPAN modules in 2023?

I have 3 x 5.6, 1 x 5.6.1, 3 x 5.8.0, 2 x 5.8.3, 1 x 5.8.6, 2 x 5.10, 1 x 5.12, 4 x 5.14, and 2 x 5.14.2 in my CPAN releases where I like to keep it as low/old as possible.

For all scripts that should work on AIX, HP-UX, Solaris and other non-mainstream *nix OS's, I require 5.14.2.

For anything that requires a fun factor, I won't go below 5.12: I want both $c //= 42; and my $x = $y =~ s{foo\Kbar}{dwok}r;


Enjoy, Have FUN! H.Merijn

Log In?
Username:
Password:

What's my password?
Create A New User
Domain Nodelet?
Node Status?
node history
Node Type: note [id://11156037]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this?Last hourOther CB clients
Other Users?
Others admiring the Monastery: (3)
As of 2024-04-13 05:57 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    No recent polls found